# Northglenn, CO (80233) Sports

## Rant - College / Professional Sports are **IDIOTS**

##### Background

- First time I played any Recreation Sports in my City, I played in what was called Little League and Football (Midgets (69-70 - 8/9 years old) and Juniors (71-72 - 10/11)


Baseball, look the ball into the glove.  Yankees lose the game and series, the IDIOT took his eyes off the ball.

The so called elite and highly paid salaries are dumbshits and belong in the LOCKER ROOM.

## Baseball (My Specialty)

- Primary:  2nd Base
- Secondary:  Left / Center Field

#### Images



## Football

- Primary:  Offensive Left Guard / Defensive Right Tackle 
     - Played the Opposite Positions - **THAT WAS COOL**
![Lines](lines.png)

- Every year, was all loses and 1 win for the season.  72 had a new Coach (Sexton) and he was very clear on Fundamentals and Drills.  Why we were the Champions in 72, Fundamentals and Drills.

Fundamentals - if you get a stupid penalty, you are out of the game, you will sit the bench.  Nothing wrong with defensive holding if the offensive receiver has beaten you on a route.  Nothing wrong with penalties, to stop a score, etc.

While I watch sports, the thing that pisses me off are the FUNDAMENTALS the so called best ALWAYS FAIL.  Teammates say, "It's okay, NO IT'S NOT OK, YOUR A FUCKING DUMBASS".

All Football Games, (Off Sides, Neutral Zone, ...) - SHOULD NEVER HAPPEN, EVER.  The STUPIDEST PENALTY In Football.  All players have Peripheral vision, that you are taught in PEE-WEE football and beyond.  Wait for the CENTER to snap.  This ONE PENALTY, would stop me from being a Coach.  This is an automatic LOCKER ROOM, I don't even want you to be on the Bench, GET THE FUCK  OUT OF MY FACE.  I don't care who you are.  YOU'RE IN THE LOCKER ROOM and if I lose the game because of your dumbass, maybe for a couple games.  Yes, I will make sure you are the example.

Washington Redskins, not calling them Commanders, lost the game, because of a DUMBSHIT OFFSIDES.

Utah Utes loss to BYU yesterday.  Would of won the game, 4th down, QB sacked and guess what?  Holding Defense, lost the game and the Holding was not Necessary.

Broncos lost to Chiefs, blocked Field Goal.  Look at the game, the entire Denver Line ALLOWED KC to come right through the line and block the FG for the game.  NOT one KC player was blocked and the announcers didn't know who blocked the ball because the entire line came through, not one player, ALL PLAYERS.

#### Images
